# I3DShPatchArray Struct Reference
[Shell Interfaces]

Inheritance diagram for I3DShPatchArray:

List of all members.

## Public Member Functions
virtual MCCOMErr MCCOMAPI | Init (uint32 uCount, uint32 vCount)=0
virtual MCCOMErr MCCOMAPI | SetPatch (uint32 uIndex, uint32 vIndex, TPatch3D *patch)=0
virtual MCCOMErr MCCOMAPI | GetPatch (uint32 uIndex, uint32 vIndex, TPatch3D *patch)=0
virtual MCCOMErr MCCOMAPI | MeshSetU (uint32 uIndex, real uValue)=0
virtual MCCOMErr MCCOMAPI | MeshSetV (uint32 vIndex, real vValue)=0
virtual MCCOMErr MCCOMAPI | MeshGetU (uint32 uIndex, real *uValue)=0
virtual MCCOMErr MCCOMAPI | MeshGetV (uint32 vIndex, real *vValue)=0
virtual MCCOMErr MCCOMAPI | MeshCalcUV ()=0
virtual MCCOMErr MCCOMAPI | GetSize (uint32 &uCount, uint32 &vCount)=0
virtual MCCOMErr MCCOMAPI | BuildFacetMesh (real lod, FacetMesh **outMesh)=0

## Detailed Description

Deprecated:

I3DShPatchArray is an array of cubic 4 x 4 Bezier patches. Other interfaces supported: I3DShObject, I3DShPrimitive

## Member Function Documentation

virtual MCCOMErr MCCOMAPI I3DShPatchArray::BuildFacetMesh | ( | real | lod,
|  | FacetMesh ** | outMesh |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I3DShPatchArray::GetPatch | ( | uint32 | uIndex,
|  | uint32 | vIndex,
|  | TPatch3D * | patch |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I3DShPatchArray::GetSize | ( | uint32 & | uCount,
|  | uint32 & | vCount |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I3DShPatchArray::Init | ( | uint32 | uCount,
|  | uint32 | vCount |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I3DShPatchArray::MeshCalcUV | ( |  | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I3DShPatchArray::MeshGetU | ( | uint32 | uIndex,
|  | real * | uValue |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I3DShPatchArray::MeshGetV | ( | uint32 | vIndex,
|  | real * | vValue |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I3DShPatchArray::MeshSetU | ( | uint32 | uIndex,
|  | real | uValue |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I3DShPatchArray::MeshSetV | ( | uint32 | vIndex,
|  | real | vValue |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I3DShPatchArray::SetPatch | ( | uint32 | uIndex,
|  | uint32 | vIndex,
|  | TPatch3D * | patch |
| ) |  |  | `[pure virtual]`

The documentation for this struct was generated from the following file:

- I3dShObject.h